Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.rdf
Class PrefixesTest

    java.lang.Object
      org.apache.any23.rdf.PrefixesTest

    public class PrefixesTest

extends Object

Reference Test class for `Prefixes`

Constructor Summary
`PrefixesTest()`

Method Summary
`void` | `setUp()`
`void` | `testAddHardOverwritesVolatileMapping()`
`void` | `testAddPrefix()`
`void` | `testAddPrefixesAsVolatile()`
`void` | `testAddVolatile()`
`void` | `testAddVolatileDoesNotOverwriteHardMapping()`
`void` | `testAddVolatileDoesNotOverwriteVolatileMapping()`
`void` | `testAddVolatileNeverFails()`
`void` | `testAsMapEmpty()`
`void` | `testAsMapIsUnmodifiable()`
`void` | `testCanAddAfterRemoving()`
`void` | `testCanContractDeclaredNamespace()`
`void` | `testCanExpandDeclaredPrefix()`
`void` | `testCanExpandOnlyAcceptsCURIEs()`
`void` | `testCannotAbbreviateUndefined()`
`void` | `testCannotAddPrefixTwice()`
`void` | `testCannotExpandUndefined()`
`void` | `testCanReAssignToSameURI()`
`void` | `testCheckForDeclaredPrefix()`
`void` | `testCreate1()`
`void` | `testCreateSubset()`
`void` | `testCreateSubsetWithUndefinedPrefixThrowsException()`
`void` | `testEmptyPrefix()`
`void` | `testEmptyPrefixes()`
`void` | `testExpandOnlyAcceptsCURIEs()`
`void` | `testIncompatiblePrefixesInMergeAreDetected()`
`void` | `testIsVolatile()`
`void` | `testMergeEmptyPrefixes()`
`void` | `testMergePrefixesWithConflictButSameNamespace()`
`void` | `testMergePrefixesWithConflictRaisesException()`
`void` | `testMergePrefixesWithoutConflict()`
`void` | `testMergeWithVolatile()`
`void` | `testNewPrefixesFromOtherPrefixesAreIndependent()`
`void` | `testRemovePrefixResultsInEmptyMapping()`
`void` | `testRemoveVolatilePrefix()`
`void` | `testUndefinedPrefix()`
`void` | `testUndefinedPrefixIsNotVolatile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixesTest

    public PrefixesTest()

Method Detail

### setUp

    public void setUp()

### testEmptyPrefixes

    public void testEmptyPrefixes()

### testUndefinedPrefix

    public void testUndefinedPrefix()

### testCannotAbbreviateUndefined

    public void testCannotAbbreviateUndefined()

### testCannotExpandUndefined

    public void testCannotExpandUndefined()

### testAddPrefix

    public void testAddPrefix()

### testCheckForDeclaredPrefix

    public void testCheckForDeclaredPrefix()

### testCanExpandDeclaredPrefix

    public void testCanExpandDeclaredPrefix()

### testCanContractDeclaredNamespace

    public void testCanContractDeclaredNamespace()

### testExpandOnlyAcceptsCURIEs

    public void testExpandOnlyAcceptsCURIEs()

### testCanExpandOnlyAcceptsCURIEs

    public void testCanExpandOnlyAcceptsCURIEs()

### testEmptyPrefix

    public void testEmptyPrefix()

### testCannotAddPrefixTwice

    public void testCannotAddPrefixTwice()

### testCanReAssignToSameURI

    public void testCanReAssignToSameURI()

### testRemovePrefixResultsInEmptyMapping

    public void testRemovePrefixResultsInEmptyMapping()

### testCanAddAfterRemoving

    public void testCanAddAfterRemoving()

### testMergeEmptyPrefixes

    public void testMergeEmptyPrefixes()

### testMergePrefixesWithoutConflict

    public void testMergePrefixesWithoutConflict()

### testCreate1

    public void testCreate1()

### testMergePrefixesWithConflictRaisesException

    public void testMergePrefixesWithConflictRaisesException()

### testMergePrefixesWithConflictButSameNamespace

    public void testMergePrefixesWithConflictButSameNamespace()

### testCreateSubset

    public void testCreateSubset()

### testCreateSubsetWithUndefinedPrefixThrowsException

    public void testCreateSubsetWithUndefinedPrefixThrowsException()

### testAsMapEmpty

    public void testAsMapEmpty()

### testAsMapIsUnmodifiable

    public void testAsMapIsUnmodifiable()

### testAddVolatile

    public void testAddVolatile()

### testAddVolatileNeverFails

    public void testAddVolatileNeverFails()

### testRemoveVolatilePrefix

    public void testRemoveVolatilePrefix()

### testIsVolatile

    public void testIsVolatile()

### testUndefinedPrefixIsNotVolatile

    public void testUndefinedPrefixIsNotVolatile()

### testAddVolatileDoesNotOverwriteHardMapping

    public void testAddVolatileDoesNotOverwriteHardMapping()

### testAddVolatileDoesNotOverwriteVolatileMapping

    public void testAddVolatileDoesNotOverwriteVolatileMapping()

### testAddHardOverwritesVolatileMapping

    public void testAddHardOverwritesVolatileMapping()

### testMergeWithVolatile

    public void testMergeWithVolatile()

### testAddPrefixesAsVolatile

    public void testAddPrefixesAsVolatile()

### testIncompatiblePrefixesInMergeAreDetected

    public void testIncompatiblePrefixesInMergeAreDetected()

### testNewPrefixesFromOtherPrefixesAreIndependent

    public void testNewPrefixesFromOtherPrefixesAreIndependent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.